Subject: Re: [lojban] zipf computations & experimental cmavo

From: Rob Speer <[email-masked]>
Date: Wed, 26 Sep 2001 17:17:59 -0400

On Wed, Sep 26, 2001 at 04:57:08PM -0400, John Cowan wrote:
> Rob Speer wrote:
> 
> >(For those who don't see the problem with symmetry: names are assignable.
> >Pro-sumti are assignable. What gets assigned if you say {la djan. goi 
> >ko'a}?)
> 
> If you know what ko'a means, then la djan. is defined to mean whatever
> ko'a means.
> If you know what la djan. means, then ko'a is defined to mean whatever
> la djan. means.
> If you don't know what either means, then they mean the same, but *what*
> they mean will arrive in future.
> If you know what both mean, and they already mean the same thing, the
> goi-phrase is unnecessary.
> If you know what both mean, and they mean different things, *bzzzzzt*,
> semantic error.
> 
> This is called "unification" in Prolog.

Hmm. That actually makes sense. I think I'll stop touting asymmetrical goi.
I suggest you put that on the Wiki, too, because I don't think it's clarified
anywhere else.

(Incidentally, I don't need 2 copies of each e-mail - just reply to the list.)
-- 
la rab.spir
noi gumri zo sarji